%script for trying out KAML, see voiceKAML for more details
data_folder = 'data';                                                      %folder where the wave files are


files = dir(fullfile(data_folder,'*.wav'));
nfiles = numel(files);                                                     % Number of songs
for ifile = 1:nfiles                                                       % Loop over the songs
    song_filename = files(ifile).name;                                     % Song filename
    [~,song_name,~] = fileparts(song_filename);                            %name of song, without wav extension
    
    mix_file = fullfile(data_folder,song_filename);
    voice_file = fullfile('output',[song_name '_voice.wav']);               % Voice estimate file
    music_file = fullfile('output',[song_name '_music.wav']);               % Music estimate file
    voiceKAML(mix_file,voice_file,music_file);                     
end


